import { ModelBase } from '@spinajs/orm';
import { ConfigurationEntryType, IConfigurationEntryMeta } from '../types.js';
export declare class DbConfig<T = unknown> extends ModelBase {
    Id: number;
    Slug: string;
    Value?: T;
    Group: string;
    Label?: string;
    Description?: string;
    Meta?: IConfigurationEntryMeta;
    Required: boolean;
    Type: ConfigurationEntryType;
    Watch: boolean;
    Default?: T;
    Environment?: string;
    hydrate(data: Partial<this>): void;
    dehydrate(_omit?: string[]): any;
    private stringify;
}
export declare function parse(input: string, type: string): unknown;
//# sourceMappingURL=DbConfig.d.ts.map