import { Configuration, ConfigurationSource, IConfigLike } from '@spinajs/configuration-common';
import { OrmDriver } from '@spinajs/orm';
import { IConfiguratioDbSourceConfig } from './types.js';
export declare class ConfiguratioDbSource extends ConfigurationSource {
    protected Connection: OrmDriver;
    protected Configuration: Configuration;
    protected Options: IConfiguratioDbSourceConfig;
    get Order(): number;
    Load(configuration: Configuration): Promise<IConfigLike>;
    protected LoadConfigurationFromDB(): Promise<IConfigLike>;
    protected CheckTable(): Promise<boolean>;
    protected Connect(): Promise<void>;
}
//# sourceMappingURL=source.d.ts.map